$(function() {
	$.ajax({
		beforeSend: function(req) {
			req.setRequestHeader("Accept", "application/vnd.phorest.me+json;version=1");
    },
		url: "https://tancityban.zanadoo.me/api/staffs",
		type: "GET",
		success: function(data) {
			var staff_id = getUrlParameter('staff-id');
			var staff = data.staffs;
			var count = staff.length;
			for (var i = 0; i < count; i++) {
			  var employee = staff[i];
				if (employee.id == staff_id) {
					populate_employee_details(employee);
				}
			}
		},
		error: function(xhr, status, error) {
			//something went wrong, handle the error and display a message
			// should add in exception reporting
			alert("Something went wrong");
		}
	});
});

function populate_employee_details(employee) {
	$("#staff-name").html(employee.first_name + " " + employee.last_name);
	$("#staff-profile").html(employee.online_profile);
	if (employee.image_100_url) {
		$("#staff-photo").attr("src", employee.image_100_url);
	} else {
		if (employee.gender != "female") {
			$("#staff-photo").first().attr("src", "img/female-staff.png");
		} else {
			$("#staff-photo").first().attr("src", "img/male-staff.png");
		}
	}

}
