$(function() {
	$.ajax({
		beforeSend: function(req) {
			req.setRequestHeader("Accept", "application/vnd.phorest.me+json;version=1");
    },
		url: "https://tancitylisburn.zanadoo.me/api/branch",
		type: "GET",
		success: function(data) {
			var branches = data.branches;
			var count = branches.length;
			if (count > 1) {
				for (var i = 0; i < count; i++) {
				    var branch = branches[i];
						populate_branch_list(branch);
				}
				$("#multi-branch").show();
				$("#branch-row").hide();
				$("#branch-list").listview('refresh'); // apply the jQm styles
			} else {
				var branch = branches[0];
				var address = assemble_address(branch.address);
				$("#address").html(address);
				var phone = branch.phone;
				$("#phone-number").html(phone);
				$("#phone-number").attr("href","tel:" + phone);
				var email = branch.email;
				$("#email-address").html(email);
				$("#email-address").attr("href","mailto:" + email);
				$("#single-branch").show();
			}
		},
		error: function(xhr, status, error) {
			//something went wrong, handle the error and display a message
			// should add in exception reporting
			alert("Something went wrong");
		}
	});
	
	// only show the gallery link if either SHOW_FACEBOOK_GALLERY or SHOW_INSTAGRAM_GALLERY is true
	if ((false === true) || (true === true)) {
		$("#gallery-link-container").show();
	}
});


function populate_branch_list(branch) {
	var new_row = $("#branch-row").clone().attr('id', branch.id ).removeClass("hide");
	$("#branch-list").append(new_row);
	var link_selector = "#" + branch.id + " .branch-link";
	$(link_selector).attr("href", "branch.html?branch-id=" + branch.id);
	var name_selector = "#" + branch.id + " .branch-name";
	$(name_selector).first().html(assemble_address(branch.address));
}
