$(function() {
	$.ajax({
		beforeSend: function(req) {
			req.setRequestHeader("Accept", "application/vnd.phorest.me+json;version=1");
    },
		url: "https://tancitylisburn.zanadoo.me/api/staffs",
		type: "GET",
		success: function(data) {
			var staff = data.staffs;
			var count = staff.length;
			for (var i = 0; i < count; i++) {
			    var employee = staff[i];
					create_employee_row(employee);
			}
			$("#employee-row").hide();
			  $('#staff-list').trigger('create');
		},
		error: function(xhr, status, error) {
			//something went wrong, handle the error and display a message
			// should add in exception reporting
			alert("Something went wrong");
		}
	});
});

function create_employee_row(employee) {
	if (employee.hide_from_online_bookings == false && employee.archived == false) {
		var new_row = $("#employee-row").clone().attr('id', employee.id ).removeClass("hide");
		$("#staff-list").append(new_row);
		var link_selector = "#" + employee.id + " .staff-member-link";
		$(link_selector).attr("href", "staff_member.html?staff-id=" + employee.id);
	
		var img_selector = "#" + employee.id + " .staff-image";
		if (employee.image_100_url) {
			$(img_selector).first().attr("src", employee.image_100_url);
		} else {
			if (employee.gender != "female") {
				$(img_selector).first().attr("src", "img/female-staff.png");
			} else {
				$(img_selector).first().attr("src", "img/male-staff.png");
			}
		}
		var name_selector = "#" + employee.id + " .staff-name";
		$(name_selector).first().html(employee.first_name + " " + employee.last_name);
	}
}
