$(function() {
	$.ajax({
		beforeSend: function(req) {
			req.setRequestHeader("Accept", "application/vnd.phorest.me+json;version=1");
    },
		url: "https://tancitylisburn.zanadoo.me/api/branch",
		type: "GET",
		success: function(data) {
			var branches = data.branches;
			var count = branches.length;
			var branch_id = getUrlParameter('branch-id');
			for (var i = 0; i < count; i++) {
		    var branch = branches[i];
				if (branch.id == branch_id) {
					var address = assemble_address(branch.address);
					$("#address").html(address);
					var phone = branch.phone;
					$("#phone-number").html(phone);
					$("#phone-number").attr("href","tel:" + phone);
					var email = branch.email;
			   	$("#email-address").html(email);
		      $("#email-address").attr("href","mailto:" + email);
				}
			}
		},
		error: function(xhr, status, error) {
			//something went wrong, handle the error and display a message
			// should add in exception reporting
			alert("Something went wrong");
		}
	});
});
